routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });
Route::get('/', 'Auth\LoginController@showLoginForm');
Auth::routes();

Route::group(['middleware' => ['auth']], function() {
	Route::get('/home', 'HomeController@index')->name('home');

	Route::resource('/users', 'UserController');
	Route::resource('/measurements', 'MeasurementController');
    Route::resource('/variants', 'VariantController');
    Route::resource('/attributes', 'AttributeController');
	Route::resource('/brands', 'BrandController');
    Route::resource('/categories', 'CategoryController');
    Route::resource('/countries', 'CountryController');
    Route::resource('/products', 'ProductController');
    Route::resource('/options', 'OptionController');

    Route::delete('/deleteproducts', 'ProductController@deleteMultipleProducts')->name('products.multipledelete');
    Route::resource('/orders', 'OrderController');
    Route::get('/print/{id}', 'OrderController@printPreview')->name('orders.print');
    Route::post('/orders/updatestatus', 'OrderController@changeStatus')->name('orders.updatestatus');
    Route::get('/customers', 'UserController@customers')->name('users.customers');

    Route::post('/variantoptions', 'VariantController@getVariantOptions')->name('variant.options');
    Route::post('/fetchattributes', 'MeasurementController@getAttributes')->name('measurement.attributes');

    Route::post('customer/status', 'UserController@changeStatus')->name('user.updatestatus');

    Route::delete('/deletebanners', 'OptionController@deleteBanners')->name('option.bannerdelete');
});

//Route::get('admin/home', 'HomeController@adminHome')->name('admin.home')->middleware('is_admin');

Route::get('/clear-cache', function() {
    Artisan::call('cache:clear');
    Artisan::call('route:clear');
    Artisan::call('config:clear');
    Artisan::call('view:clear');
    // return "Cache is cleared";
    return view('cache');
})->name('cache.clear');

resources/views/inc/nav.blade.php
 <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ url('/home') }}" class="nav-link">Dashboard</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">  
        <a class="nav-link" href="{{ route('users.edit', Auth::id() ) }}" title="Edit">Profile</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
     
      <!-- Notifications Dropdown Menu -->
<!--       <li class="nav-item dropdown dropdown-notification">
        <a class="nav-link data-toggle" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge" data-count="0">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header notif-count">15 </span>Notifications
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new orders
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 new customers
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li> -->
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

resources/views/inc/sidebar.blade.php
 <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-warning elevation-4">
    <!-- Brand Logo -->
    <a href="{{ url('/home') }}" class="brand-link">
      <img src="{{ asset('./images/logo-icon.png') }}" alt="Menu4u Logo" class="brand-image ">
      <span class="brand-text font-weight-light">Menu4u Admin</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{ asset('./dist/img/avatar3.png') }}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="{{ url('/home') }}" class="d-block">{{ Auth::user()->first_name }}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
         <li class="nav-item">
            <a href="{{ url('/home') }}" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt mr-2"></i>
              <p>
                Dashboard
              </p>
            </a>
          </li> 
           <li class="nav-item ">
            <a href="{{ route('countries.index') }}" class="nav-link">
              <i class="fas fa-flag mr-2"></i>
              <p>
                Country
              </p>
            </a>            
          </li>
           <li class="nav-item ">
            <a href="{{ route('measurements.index') }}" class="nav-link">
              <i class="fas fa-weight mr-2"></i>
              <p>
                Measurements
              </p>
            </a>            
          </li>
            <li class="nav-item ">
            <a href="{{ route('attributes.index') }}" class="nav-link">
              <i class="fas fa-asterisk mr-2"></i>
              <p>
                Attributes
              </p>
            </a>            
          </li>
          <li class="nav-item ">
            <a href="{{ route('variants.index') }}" class="nav-link">
              <i class="fas fa-check-double mr-2"></i>
              <p>
                Variants
              </p>
            </a>            
          </li>    
          <li class="nav-item ">
            <a href="{{ route('categories.index') }}" class="nav-link">
              <i class="fas fa-stream mr-2"></i>
              <p>
                Category
              </p>
            </a>            
          </li>
          <li class="nav-item ">
            <a href="{{ route('brands.index') }}" class="nav-link">
              <i class="fas fa-tags mr-2"></i>
              <p>
                Brands
              </p>
            </a>            
          </li> 
           <li class="nav-item ">
            <a href="{{ route('products.index') }}" class="nav-link">
              <i class="fas fa-shopping-basket mr-2"></i>
              <p>
                Product
              </p>
            </a>            
          </li>
           <li class="nav-item">
            <a href="{{ route('orders.index') }}" class="nav-link">
              <i class="fas fa-cart-arrow-down mr-2"></i>
              <p>
                Order
              </p>
            </a>            
          </li>
          <li class="nav-item">
            <a href="{{ route('users.customers') }}" class="nav-link">
              <i class="fas fa-users mr-2"></i>
              <p>
                Customers
              </p>
            </a>            
          </li>
          <li class="nav-item">
            <a href="{{ route('options.index') }}" class="nav-link">
             <i class="fas fa-cog mr-2"></i>
              <p>
                Settings
              </p>
            </a>            
          </li>
          <li class="nav-item ">
            <a href="{{ route('cache.clear') }}" class="nav-link">
              <i class="fas fa-broom mr-2"></i> 
              <p>
                Clear Cache
              </p>
            </a>            
          </li>  
          <li class="nav-item">
            <a href="{{ route('logout') }}" onclick="event.preventDefault();document.getElementById('logout-form').submit();"  class="nav-link">
              <i class="nav-icon fas fa-sign-out-alt mr-2"></i>
              <p>
                Logout
              </p>
            </a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
               @csrf
            </form>
          </li>        
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>